package com.hcordova.flightagencyapi.aircraft.dto;

import com.hcordova.flightagencyapi.aircraft.domain.models.Aircraft;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AircraftDTO {
    private Long id;
    private String name;
    private String manufacturer;
    private String model;

    public AircraftDTO(Aircraft aircraft) {
        this.id = aircraft.getId();
        this.name = aircraft.getName();
        this.manufacturer = aircraft.getManufacturer();
        this.model = aircraft.getModel();
    }
}
