package com.hcordova.flightagencyapi.airport.dto;

import com.hcordova.flightagencyapi.airport.domain.models.Airport;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AirportDTO {
    private Long id;
    private String name;
    private String location;
    private String code;

    public AirportDTO(Airport airport) {
        this.id = airport.getId();
        this.name = airport.getName();
        this.location = airport.getLocation();
        this.code = airport.getCode();
    }
}
