package com.hcordova.flightagencyapi.flight.dto;

import com.hcordova.flightagencyapi.flight.domain.models.FlightCost;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class FlightCostDTO {
    private Long id;
    private String dateStart;
    private String dateEnd;
    private Double cost;

    public FlightCostDTO(FlightCost flightCost) {
        this.id = flightCost.getId();
        this.dateStart = flightCost.getDateStart().toString();
        this.dateEnd = flightCost.getDateEnd().toString();
        this.cost = flightCost.getCost();
    }
}
