package com.hcordova.flightagencyapi.passenger.domain.repositories;


import java.util.List;
import java.util.Optional;

import org.springframework.data.jpa.repository.JpaRepository;

import com.hcordova.flightagencyapi.passenger.domain.models.Passenger;

public interface PassengerRepository extends JpaRepository<Passenger, Long>{
    Optional<Passenger> findByUserId(Long userId);
    List<Passenger> findAllByDeletedAtIsNull();
    Optional<Passenger> findByIdAndDeletedAtIsNull(Long id);
}
