package com.hcordova.flightagencyapi.reservation.domain.services;

import java.util.List;

import com.hcordova.flightagencyapi.reservation.domain.models.Reservation;
import com.hcordova.flightagencyapi.reservation.dto.ReservationSaveDTO;

public interface ReservationService {
    List<Reservation> getAll();
    Reservation getById(Long id);
    List<Reservation> getByPassengerId(Long id);
    Reservation save(ReservationSaveDTO reservationDTO);
    Reservation payReservation(Long id);
    Reservation cancelReservation(Long id);
    Reservation deleteReservation(Long id);
}
