import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ResultDelete } from '../../interfaces/result-delete.interface';
import { Router } from '@angular/router';

@Component({
  selector: 'shared-delete-dialog',
  templateUrl: './delete-dialog.component.html',
  styleUrls: ['./delete-dialog.component.css']
})
export class DeleteDialogComponent {

  constructor(private router: Router) { }

  @Output()
  public onDialogResult: EventEmitter<boolean> = new EventEmitter();

  onEmitDeleted(result: boolean): void {
    this.onDialogResult.emit(result);
  }
}
