import { HttpHeaders } from "@angular/common/http";

const userLogged = localStorage.getItem('userLogged');
const userLoggedParsed = userLogged ? JSON.parse(userLogged) : null;

const token = userLoggedParsed ? userLoggedParsed.token : '';

export const headers = new HttpHeaders({
  'Content-Type': 'application/json',
  'Authorization': `Bearer ${token}`,
});
