package com.hcordova.flightagencyapi.agent.domain.repositories;

import java.util.List;
import java.util.Optional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.hcordova.flightagencyapi.agent.domain.models.Agent;

@Repository
public interface AgentRepository extends JpaRepository<Agent, Long>{
    Optional<Agent> findByUserId(Long userId);
    Optional<Agent> findByIdAndDeletedAtIsNull(Long id);
    List<Agent> findAllByDeletedAtIsNull();
}
