package com.hcordova.flightagencyapi.agent.dto;

import com.hcordova.flightagencyapi.agent.domain.models.Agent;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AgentByDTO {
    private Long id;
    private String name;
    private String lastname;
    private String details;
    private String email;

    public AgentByDTO(Agent agent) {
        this.id = agent.getId();
        this.name = agent.getUser().getName();
        this.lastname = agent.getUser().getLastname();
        this.details = agent.getDetails();
        this.email = agent.getUser().getEmail();
    }
}
