package com.hcordova.flightagencyapi.airline.dto;

import com.hcordova.flightagencyapi.airline.domain.models.Airline;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AirlineDTO {
    private Long id;
    private String name;
    private String code;

    public AirlineDTO(Airline airline) {
        this.id = airline.getId();
        this.name = airline.getName();
        this.code = airline.getCode();
    }
}
