package com.hcordova.flightagencyapi.flight.domain.services;

import java.util.List;

import com.hcordova.flightagencyapi.flight.domain.models.FlightSchedule;
import com.hcordova.flightagencyapi.flight.dto.FlightSaveDTO;

public interface FlightScheduleService {
    List<FlightSchedule> getAll();
    List<FlightSchedule> searchByOriginDestinationAndDate(Long airportOriginId, Long airportDestinationId, String startDate);
    FlightSchedule getById(Long id);
    FlightSchedule save(FlightSaveDTO saveDTO);
    FlightSchedule delete(Long id);
}
