package com.hcordova.flightagencyapi.flight.dto;

import com.hcordova.flightagencyapi.flight.domain.models.Leg;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class LegDTO {
    private Long id;
    private String airportOrigin;
    private String airportDestination;
    private String departureDateTime;
    private String arrivalDateTime;

    public LegDTO(Leg leg) {
        this.id = leg.getId();
        this.airportOrigin = leg.getAirportOrigin().getName();
        this.airportDestination = leg.getAirportDestination().getName();
        this.departureDateTime = leg.getActualDeparture().toString();
        this.arrivalDateTime = leg.getActualArrival().toString();
    }
}
