package com.hcordova.flightagencyapi.passenger.dto;

import com.hcordova.flightagencyapi.passenger.domain.models.Passenger;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PassengerByDTO {
    private Long id;
    private String name;
    private String lastname;
    private String phone;
    private String country;
    private String city;
    private String address;
    private String email;

    public PassengerByDTO(Passenger passenger) {
        this.id = passenger.getId();
        this.name = passenger.getUser().getName();
        this.lastname = passenger.getUser().getLastname();
        this.phone = passenger.getPhone();
        this.country = passenger.getCountry();
        this.city = passenger.getCity();
        this.address = passenger.getAddress();
        this.email = passenger.getUser().getEmail();
    }
}
