package com.hcordova.flightagencyapi.reservation.domain.repositories;

import java.util.Optional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.hcordova.flightagencyapi.reservation.domain.models.ReservationStatus;

@Repository
public interface ReservationStatusRepository extends JpaRepository<ReservationStatus, Long>{
    Optional<ReservationStatus> findByName(String name);
}
