package com.hcordova.flightagencyapi.reservation.domain.repositories;

import java.util.List;
import java.util.Optional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.hcordova.flightagencyapi.reservation.domain.models.Reservation;

@Repository
public interface ReservationsRepository extends JpaRepository<Reservation, Long> {
    List<Reservation> findByDeletedAtIsNullAndPassenger_Id(Long passengerId);
    List<Reservation> findByDeletedAtIsNull();
    Optional<Reservation> findByIdAndDeletedAtIsNull(Long id);
}
