package com.hcordova.flightagencyapi.supervisor.dto;

import com.hcordova.flightagencyapi.supervisor.domain.models.Supervisor;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class SupervisorDTO {
    private Long id;
    private String name;
    private String lastname;
    private String email;
    private String details;

    public SupervisorDTO(Supervisor supervisor) {
        this.id = supervisor.getUser().getId();
        this.name = supervisor.getUser().getName();
        this.lastname = supervisor.getUser().getLastname();
        this.email = supervisor.getUser().getEmail();
        this.details = supervisor.getDetails();
    }
}
