package com.hcordova.flightagencyapi.supervisor.services;

import java.util.List;

import org.springframework.stereotype.Service;

import com.hcordova.flightagencyapi.supervisor.domain.models.Supervisor;
import com.hcordova.flightagencyapi.supervisor.domain.repositories.SupervisorRepository;
import com.hcordova.flightagencyapi.supervisor.domain.services.SupervisorService;

import lombok.RequiredArgsConstructor;

@Service
@RequiredArgsConstructor
public class SupervisorServiceImpl implements SupervisorService {

    private final SupervisorRepository supervisorRepository;

    @Override
    public List<Supervisor> getAll() {
        return supervisorRepository.findAll();
    }
}
