INSERT INTO roles (name) VALUES ('supervisor'), ('agent'), ('passenger');

INSERT INTO airports (name, location, code)
VALUES
('Jorge Chavez International Airport', 'Lima, Peru', 'LIM'),
('John F. Kennedy International Airport', 'New York, USA', 'JFK'),
('Heathrow Airport', 'London, UK', 'LHR'),
('Charles de Gaulle Airport', 'Paris, France', 'CDG'),
('Los Angeles International Airport', 'Los Angeles, USA', 'LAX'),
('Sydney Kingsford Smith Airport', 'Sydney, Australia', 'SYD'),
('Dubai International Airport', 'Dubai, UAE', 'DXB'),
('Beijing Capital International Airport', 'Beijing, China', 'PEK'),
('Benito Juarez International Airport', 'Mexico City, Mexico', 'MEX'),
('Frankfurt Airport', 'Frankfurt, Germany', 'FRA'),
('Toronto Pearson International Airport', 'Toronto, Canada', 'YYZ'),
('Incheon International Airport', 'Seoul, South Korea', 'ICN'),
('Sao Paulo-Guarulhos International Airport', 'Sao Paulo, Brazil', 'GRU'),
('Barcelona-El Prat Airport', 'Barcelona, Spain', 'BCN'),
('Cairo International Airport', 'Cairo, Egypt', 'CAI');

INSERT INTO airlines (name, code) VALUES
    ('American Airlines', 'AA'),
    ('Delta Air Lines', 'DL'),
    ('United Airlines', 'UA'),
    ('Emirates', 'EK'),
    ('Lufthansa', 'LH'),
    ('British Airways', 'BA'),
    ('Qatar Airways', 'QR'),
    ('Air France', 'AF'),
    ('LATAM Airlines', 'LA');

INSERT INTO aircrafts (name, manufacturer, model) VALUES
    ('Boeing 737', 'Boeing', '737-800'),
    ('Airbus A320', 'Airbus', 'A320-200'),
    ('Boeing 787 Dreamliner', 'Boeing', '787-9'),
    ('Embraer E175', 'Embraer', 'E175');

-- Insertar fechas y días de la semana para noviembre
INSERT INTO ref_calendar (day_date, day_number) VALUES
    ('2023-11-01', 3),
    ('2023-11-02', 4),
    ('2023-11-03', 5),
    ('2023-11-04', 6),
    ('2023-11-05', 7),
    ('2023-11-06', 1),
    ('2023-11-07', 2),
    ('2023-11-08', 3),
    ('2023-11-09', 4),
    ('2023-11-10', 5),
    ('2023-11-11', 6),
    ('2023-11-12', 7),
    ('2023-11-13', 1),
    ('2023-11-14', 2),
    ('2023-11-15', 3),
    ('2023-11-16', 4),  
    ('2023-11-17', 5),
    ('2023-11-18', 6),
    ('2023-11-19', 7),
    ('2023-11-20', 1),
    ('2023-11-21', 2),
    ('2023-11-22', 3),
    ('2023-11-23', 4),  
    ('2023-11-24', 5),
    ('2023-11-25', 6),  
    ('2023-11-26', 7),  
    ('2023-11-27', 1), 
    ('2023-11-28', 2),  
    ('2023-11-29', 3), 
    ('2023-11-30', 4);  

-- Insertar fechas y días de la semana para diciembre
INSERT INTO ref_calendar (day_date, day_number) VALUES
    ('2023-12-01', 5),  
    ('2023-12-02', 6), 
    ('2023-12-03', 7),  
    ('2023-12-04', 1),
    ('2023-12-05', 2), 
    ('2023-12-06', 3),
    ('2023-12-07', 4), 
    ('2023-12-08', 5),  
    ('2023-12-09', 6), 
    ('2023-12-10', 7),  
    ('2023-12-11', 1),
    ('2023-12-12', 2), 
    ('2023-12-13', 3),
    ('2023-12-14', 4), 
    ('2023-12-15', 5),  
    ('2023-12-16', 6), 
    ('2023-12-17', 7),  
    ('2023-12-18', 1),
    ('2023-12-19', 2), 
    ('2023-12-20', 3),
    ('2023-12-21', 4), 
    ('2023-12-22', 5),  
    ('2023-12-23', 6), 
    ('2023-12-24', 7),  
    ('2023-12-25', 1),
    ('2023-12-26', 2), 
    ('2023-12-27', 3),
    ('2023-12-28', 4), 
    ('2023-12-29', 5),  
    ('2023-12-30', 6), 
    ('2023-12-31', 7);  

INSERT INTO ticket_type (name) VALUES ('Economy'), ('Business'), ('First Class');
INSERT INTO travel_class (name) VALUES ('Economy'), ('Business'), ('First Class');
INSERT INTO reservation_status (name) VALUES ('registered'), ('processing_payment'), ('Cancelled'), ('paid');
INSERT INTO payment_status (name) VALUES ('pending'), ('paid'), ('refunded');



