export interface Passenger {
  id: number;
  name: string;
  fullname?: string;
  lastname: string;
  phone: string;
  country: string;
  city: string;
  address: string;
  email: string;
  password?: string;
  role?: string;
}

export const EMPTY_PASSENGER: Passenger = {
  id: 0,
  name: '',
  lastname: '',
  country: '',
  city: '',
  address: '',
  phone: '',
  email: '',
};
