interface Agent {
  id: number;
  name: string;
  lastname: string;
  details: string;
}

interface AgentExtended extends Agent {
  email: string;
  password: string;
}

interface AgentSave {
  name: string;
  lastname: string;
  details: string;
  email: string;
  password: string;
}

const EMPTY_AGENT_SAVE: AgentSave = {
  name: '',
  lastname: '',
  details: '',
  email: '',
  password: ''
}

export { Agent, AgentExtended, AgentSave, EMPTY_AGENT_SAVE };
