import { FlightCost } from "./flight-cost.interface";
import { FlightScale } from "./flight-scale.interface";

export interface Flight {
  id: number;
  airline: string;
  airlineId: number;
  aircraftId: number;
  aircradt: string;
  airportOrigin: string;
  airportOriginId: number;
  airportDestination: string;
  airportDestinationId: number;
  departureDate: string;
  arrivalDate: string;
  flightType: string;
  price: number;
  legs: FlightScale[];
  costs: FlightCost[];
}
